Namespaces | Enumerations | Functions
RocketEBookToken.h File Reference
`#include "EBOOKToken.h"`

Go to the source code of this file.

## Namespaces
| libebook
| libebook::RocketEBookToken

## Enumerations
enum | { libebook::RocketEBookToken::INVALID_TOKEN = 0, libebook::RocketEBookToken::FIRST_TOKEN = EBOOKToken<RocketEBookParser>::FIRST_TOKEN, libebook::RocketEBookToken::AUTHOR, libebook::RocketEBookToken::BODY, libebook::RocketEBookToken::COMMENT, libebook::RocketEBookToken::COPYRIGHT, libebook::RocketEBookToken::COPYTITLE, libebook::RocketEBookToken::COPY_ID, libebook::RocketEBookToken::GENERATOR, libebook::RocketEBookToken::ISBN, libebook::RocketEBookToken::MENUMARK, libebook::RocketEBookToken::OUTPUT, libebook::RocketEBookToken::PARSE, libebook::RocketEBookToken::PUBSERVER_ID, libebook::RocketEBookToken::PUB_NAME, libebook::RocketEBookToken::REVISION, libebook::RocketEBookToken::SuggestedRetailPrice, libebook::RocketEBookToken::TITLE, libebook::RocketEBookToken::TITLE_LANGUAGE, libebook::RocketEBookToken::TYPE, libebook::RocketEBookToken::URL, libebook::RocketEBookToken::USERNAME, libebook::RocketEBookToken::unknown, libebook::RocketEBookToken::LAST_TOKEN }

## Functions
int | libebook::getRocketEBookTokenId (const char *const name, const char *const ns)
int | libebook::getRocketEBookTokenId (const char *const name, const std::size_t nameLen, const char *const ns, const std::size_t nsLen)
int | libebook::getRocketEBookTokenId (const char *const name, const std::size_t nameLen)